about summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2014-08-20T12·21+0200
committerEelco Dolstra <eelco.dolstra@logicblox.com>2014-08-20T12·30+0200
commit894fa5e42dd952caa702794964a13845ccf6f29a (patch)
tree4cb556ba0dbfb7f2111b77bc09a4569ca824efd5 /tests
parent954188af2747e796eb4428c493db9aa06ed1af38 (diff)
Reduce test verbosity
Diffstat (limited to 'tests')
-rw-r--r--tests/timeout.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/timeout.sh b/tests/timeout.sh
index 4a4769a165..6787a40d43 100644
--- a/tests/timeout.sh
+++ b/tests/timeout.sh
@@ -3,7 +3,7 @@
 source common.sh
 
 failed=0
-messages="`nix-build timeout.nix --timeout 2 2>&1 || failed=1`"
+messages="`nix-build -Q timeout.nix --timeout 2 2>&1 || failed=1`"
 if [ $failed -ne 0 ]; then
     echo "error: \`nix-store' succeeded; should have timed out"
     exit 1
@@ -15,7 +15,7 @@ if ! echo "$messages" | grep -q "timed out"; then
     exit 1
 fi
 
-if nix-build timeout.nix --option build-max-log-size 100; then
+if nix-build -Q timeout.nix --option build-max-log-size 100; then
     echo "build should have failed"
     exit 1
 fi